.clear_all_btn {
    position: absolute;
    bottom: 0;
    right: 0;
    display: none;
    margin-bottom: 20px;
    margin-right: 10px;
}

.imagePreview {
    width: 100%;
    height: 180px;
    background-position: center center;
    background: url();
    background-color: #fff;
    background-size: cover;
    background-repeat: no-repeat;
    display: inline-block;
    box-shadow: 0px -3px 6px 2px rgba(0, 0, 0, 0.2);
}

.btn-upload-primary {
    display: block;
    border-radius: 0px;
    box-shadow: 0px 4px 6px 2px rgba(0, 0, 0, 0.2);
    margin-top: -5px;
}

.imgUp {
    margin-bottom: 15px;
}

.del {
    position: absolute;
    top: 0px;
    right: 15px;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    background-color: rgba(255, 255, 255, 0.6);
    cursor: pointer;
}

.imgAdd {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #4bd7ef;
    color: #fff;
    box-shadow: 0px 0px 2px 1px rgba(0, 0, 0, 0.2);
    text-align: center;
    line-height: 30px;
    margin-top: 0px;
    cursor: pointer;
    font-size: 15px;
}

.more-images {
    width: 25%;
    margin-bottom: 5px;
}

.fileinput-button {
    position: relative;
    overflow: hidden;
    -webkit-transition: background-color 300ms;
    transition: background-color 300ms;
}

.fileinput-button input {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    opacity: 0;
    -ms-filter: "alpha(opacity=0)";
    font-size: 200px;
    direction: ltr;
    cursor: pointer;
}

#upload_progress {
    opacity: 0;
    display: none;
}

#upload_progress.show_progress {
    margin: 25px 0;
    display: block;
    opacity: 1;
    filter: alpha(opacity=100);
}

.multiupload .progress {
    margin: 0;
}

.multiupload .progress+.progress-extended {
    margin-top: 10px;
}

.table .upload_img,
.table .download_img {
    width: 88px;
}

.table .upload_img .img-thumbnail,
.table .download_img .img-thumbnail {
    max-height: 88px;
    min-height: 52px;
    min-width: 52px;
    height: auto;
    text-align: center;
}

.table .upload_img .img-thumbnail a,
.table .download_img .img-thumbnail a {
    display: block;
}

.table .upload_info p,
.table .download_info p {
    margin: 0;
}

.table .upload_info .name,
.table .download_info .name {
    font-size: 13px;
    font-weight: 700;
}

.table .upload_info .size,
.table .download_info .size {
    font-size: 11px;
    color: #999;
    margin-bottom: 8px;
}

.table .upload_info .alert,
.table .download_info .alert {
    padding: 7px 12px;
    font-size: 13px;
    margin-bottom: 0;
}

.table .upload_actions,
.table .download_actions {
    vertical-align: middle;
    text-align: center;
}

.template-upload tr,
.template-download tr {
    overflow: hidden;
}

.img-grid {
    margin: 0;
    padding: 0;
    list-style: none;
    width: 100%;
}

.img-grid li {
    position: relative;
    float: left;
    overflow: hidden;
    width: 20%;
    /* padding: 0 10px 10px 0; */
}

.img-grid2 li {
    position: relative;
    float: left;
    overflow: hidden;
    width: 100%;
    /* padding: 0 10px 10px 0; */
}

.img-grid li>a,
.img-grid li>a img {
    display: block;
    cursor: pointer;
    margin: 0;
}

.img-grid li .upload_img_single {
    min-width: 100%;
    height: auto;
    margin: 0;
    display: block;
    position: relative;
}

.img-grid li .upload_banner_single {
    min-width: 100%;
    height: auto;
    margin: 0;
    display: block;
    position: relative;
}

.img-grid li .upload_img_actions {
    position: absolute;
    width: 100%;
    top: 4px;
    bottom: 4px;
    left: 5px;
    right: 5px;
    display: block;
    background: rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 30px 20px 20px;
}

.img-grid li .upload_banner_actions {
    position: absolute;
    width: 100%;
    top: 4px;
    bottom: 4px;
    left: 5px;
    right: 5px;
    display: block;
    background: rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 30px 20px 20px;
}

.img-grid li .upload_img_single .upload_img_actions .upload_img_name {
    color: #fff;
    display: block;
    padding-bottom: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.img-grid li .upload_img_single .upload_img_actions .btn {
    border: none;
    margin: 2px;
    border-radius: 5px;
}

.img-grid li .upload_img_single .upload_img_actions .alert {
    padding: 4px;
    margin-bottom: 10px;
}

.img-grid li .upload_banner_single .upload_banner_actions .upload_img_name {
    color: #fff;
    display: block;
    padding-bottom: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.img-grid li .upload_banner_single .upload_banner_actions .btn {
    border: none;
    margin: 2px;
    border-radius: 5px;
}

.img-grid li .upload_banner_single .upload_banner_actions .alert {
    padding: 4px;
    margin-bottom: 10px;
}

@media (max-width: 1199px) {
    .img-grid li {
        width: 20%;
    }
}

@media (max-width: 991px) {
    .img-grid li {
        width: 25%;
    }
}

@media (max-width: 767px) {
    .img-grid li {
        width: 33.33333333%;
    }
}

@media (max-width: 479px) {
    .img-grid li {
        width: 50%;
    }
}

.thumbnail {
    display: block;
    line-height: 1.428571429;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.thumbnail>img,
.thumbnail a>img {
    display: block;
    max-width: 100%;
    height: auto;
    margin-left: auto;
    margin-right: auto;
}

li canvas {
    display: block;
    min-width: 100%;
    margin-left: auto;
    line-height: 1.428571429;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    margin-right: auto;
}

.show-user-panel {
    right: 0px !important;
    left: auto;
}